Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036267
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-06-16 12:352017-08-11 09:08
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision079acca81db9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036267: Services relation are not set in negative orders after C&R and CL

DescriptionThe services relations are not set in the cancellation orders after doing a cancel and replace or a cancel layaway process.
Also, if there are deferred services related to these orders, or the orders contains services that are deferred to other orders, these services must update its relations.
Steps To ReproduceCreate a ticket with a product and a service related to the product. Also create a service related to an external product. Do the cancel and replace and cancel layaway processes (with different tickets). The services relations are not update in the cancellation orders, and the deferred relations are not also updated.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098214)
hgbot (developer)
2017-07-26 08:49

Repository: erp/devel/pi
Changeset: 079acca81db92fe741260c4b06282e037c1e7214
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Jul 04 17:35:43 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/079acca81db92fe741260c4b06282e037c1e7214 [^]

Fixed issue 36267: Services relation are not set in neg. orders after C&R and CL

---
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
M src/org/openbravo/event/ServiceRelationEventHandler.java
---
(0098215)
hgbot (developer)
2017-07-26 08:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 70c2189c8ea45fc7bc2b98695d11f467f8e8a47e
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Mon Jul 10 16:54:58 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/70c2189c8ea45fc7bc2b98695d11f467f8e8a47e [^]

Related to issue 36267: Services relation are not set in negative orders after C&R and CL

New properties 'isEditable' and 'isDeletable' added to the order lines in order to be able to set an order line as non editable or non deletable.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M src/org/openbravo/retail/posterminal/process/IsOrderCancelled.java
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0098216)
hgbot (developer)
2017-07-26 08:51

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: 208e0e8996a06913bd7c0ad22be85a97370ec9c9
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Jul 04 17:45:23 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/208e0e8996a06913bd7c0ad22be85a97370ec9c9 [^]

Related to issue 36267: Services relation are not set in negative orders after C&R and CL (returns)

---
M src/org/openbravo/retail/returns/ReturnsComponentProvider.java
M web/org.openbravo.retail.returns/js/hookReturnChangeQty.js
M web/org.openbravo.retail.returns/js/modalReturnLines.js
R web/org.openbravo.retail.returns/js/hookGroupedProductPreCreateLine.js
---
(0098217)
hgbot (developer)
2017-07-26 08:53

Repository: tools/automation/pi-mobile
Changeset: 0451be809da3e008ce457b27cd1bd7fe5677d1bf
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Jul 20 18:20:17 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/0451be809da3e008ce457b27cd1bd7fe5677d1bf [^]

Related to issue 36267: Automated tests

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSCancelAndReplaceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplReturn.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcAmountIncreased.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcAmountReduced.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcAssociateShip.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcManualDiscount.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcNettingShip.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcOfCancelAndRplc.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcPartiallyPaid.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcPartiallyReduced.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcRemoveAddLine.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcRemoveTicketLn.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcTicket.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcTicketPosNeg.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelLayawayPartiallyPaid.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelLayawayReturn.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelLayawayWithOverpayment.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I35279_CancelAndRplcLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I35279_CancelAndRplcLayawayII.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I35955_CancelAndRplcFromCredit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36308_CancelAndRplcLayawayIII.java
---
(0098267)
hgbot (developer)
2017-07-31 09:13

Repository: tools/automation/pi-mobile
Changeset: b0ce6ac37eb454b4092547ca0dee846610276ba1
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Jul 28 08:13:59 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/b0ce6ac37eb454b4092547ca0dee846610276ba1 [^]

Related to issue 36267: New automated tests (were not added by error to the previous commit)

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSCancelAndReplaceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcBlindReturn.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcLayawayDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderMainProdHavingDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithProdAndService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcProductOrderNoChng.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceLayawayServiceRmvd.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceOrderNoChng.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayMainProdHavingRelatedService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithProdAndService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelProdLayaway.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayaway.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayNoChng.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayPrdRmvd.java
---
(0098312)
hgbot (developer)
2017-08-01 15:04

Repository: tools/automation/pi-mobile
Changeset: fe7d40e8c8a4d95436437c81c712fe3775f1f120
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Aug 01 15:04:06 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/fe7d40e8c8a4d95436437c81c712fe3775f1f120 [^]

Related to issue 36267: Backed out to review quarantine failures

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSCancelAndReplaceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcBlindReturn.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcLayawayDeferredService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderDeferredService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderMainProdHavingDeferredService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithProdAndService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcProductOrderNoChng.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceLayawayServiceRmvd.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceOrderNoChng.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayDeferredService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayMainProdHavingRelatedService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithProdAndService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithService.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelProdLayaway.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayaway.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayNoChng.java
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayPrdRmvd.java
---
(0098419)
jorgewederago (developer)
2017-08-08 10:41
edited on: 2017-08-08 10:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6dff4c3c431f
Author: Jorge Wederago <jorge.wederago <at> openbravo.com>
Date: Tue Aug 08 10:30:11 2017 +0200
URL: https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6dff4c3c431f [^]

Related to issue:35244 Related to issue:36267

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---

(0098480)
hgbot (developer)
2017-08-11 08:59

Repository: tools/automation/pi-mobile
Changeset: 1e9710fa831ff4fc766b22b5676325a503f37736
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Aug 10 11:35:03 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/1e9710fa831ff4fc766b22b5676325a503f37736 [^]

Related to issue 36267: Backed out changeset fe7d40e8c8a4

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSCancelAndReplaceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/CancelAndRplcBlindReturn.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcLayawayDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderMainProdHavingDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithProdAndService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcProductOrderNoChng.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceLayawayServiceRmvd.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceOrderNoChng.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayDeferredService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayMainProdHavingRelatedService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithProdAndService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithService.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelProdLayaway.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayaway.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayNoChng.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayPrdRmvd.java
---

- Issue History
Date Modified Username Field Change
2017-06-16 12:35 asiermartirena New Issue
2017-06-16 12:35 asiermartirena Assigned To => asiermartirena
2017-06-16 12:35 asiermartirena Triggers an Emergency Pack => No
2017-07-26 08:49 hgbot Checkin
2017-07-26 08:49 hgbot Note Added: 0098214
2017-07-26 08:49 hgbot Status new => resolved
2017-07-26 08:49 hgbot Resolution open => fixed
2017-07-26 08:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/079acca81db92fe741260c4b06282e037c1e7214 [^]
2017-07-26 08:50 hgbot Checkin
2017-07-26 08:50 hgbot Note Added: 0098215
2017-07-26 08:51 hgbot Checkin
2017-07-26 08:51 hgbot Note Added: 0098216
2017-07-26 08:53 hgbot Checkin
2017-07-26 08:53 hgbot Note Added: 0098217
2017-07-26 09:58 asiermartirena Status resolved => new
2017-07-26 09:58 asiermartirena Resolution fixed => open
2017-07-31 09:13 hgbot Checkin
2017-07-31 09:13 hgbot Note Added: 0098267
2017-07-31 10:50 asiermartirena Status new => scheduled
2017-07-31 10:50 asiermartirena Status scheduled => resolved
2017-07-31 10:50 asiermartirena Resolution open => fixed
2017-08-01 15:04 hgbot Checkin
2017-08-01 15:04 hgbot Note Added: 0098312
2017-08-01 15:04 asiermartirena Status resolved => new
2017-08-01 15:04 asiermartirena Resolution fixed => open
2017-08-01 15:04 asiermartirena Status new => scheduled
2017-08-08 10:41 jorgewederago Note Added: 0098419
2017-08-08 10:42 jorgewederago Note Edited: 0098419 View Revisions
2017-08-11 08:59 hgbot Checkin
2017-08-11 08:59 hgbot Note Added: 0098480
2017-08-11 09:08 asiermartirena Status scheduled => resolved
2017-08-11 09:08 asiermartirena Resolution open => fixed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker